Package Details: rsem 1.3.0-1

Git Clone URL: https://aur.archlinux.org/rsem.git (read-only)
Package Base: rsem
Description: accurate quantification of gene and isoform expression from RNA-Seq data
Upstream URL: http://deweylab.biostat.wisc.edu/rsem/
Licenses: GNU GPLv3
Submitter: greyltc
Maintainer: greyltc
Last Packager: greyltc
Votes: 2
Popularity: 0.000005
First Submitted: 2015-03-18 10:58
Last Updated: 2016-11-25 15:18

Dependencies (3)

Required by (0)

Sources (1)

Latest Comments

pwl commented on 2016-11-24 08:04

Hi,

I managed to install the package without any trouble. I don't know if that was intentional but PKGBUILD didn't add /usr/bin/rsem to PATH. After adding it manually I tried to run one of the binaries and I got the following error. Do you have any idea where it might be coming from?

$ rsem-calculate-expression
Can't locate rsem_perl_utils.pm in @INC (you may need to install the rsem_perl_utils module) (@INC contains: /usr/bin/rsem /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/bin/rsem/rsem-calculate-expression line 8.
BEGIN failed--compilation aborted at /usr/bin/rsem/rsem-calculate-expression line 8.

EDIT: I have just noticed that @apuapaquola had the same issue, copying the following entry from his PKGBUILD fixed the issue for me.

mv `find . -maxdepth 1 -type f -perm -u+x` rsem_perl_utils.pm "${pkgdir}/usr/bin/${pkgname}/."

apuapaquola commented on 2016-01-22 23:21

rsem-prepare-reference complains it can't find the perl module rsem_perl_utils.pm
and it is not present in the package.

I've patched PKGBUILD to copy rsem_perl_utile to the installation, and put it in http://pastebin.com/EVUiEVbY